version: '3.7'

services:
  typecho:
    image: joyqi/typecho:nightly-php7.4-apache
    container_name: typecho-server
    environment:
      - TYPECHO_SITE_URL=https://www.mstars.cc
      - TIMEZONE=Asia/Shanghai
      - TYPECHO_USER_NAME=shuaibility
      - TYPECHO_USER_MAIL=shuaibility@outlook.com
    ports:
      - 127.0.0.1:9090:80
    volumes:
      - /opt/docker-data/typecho/app:/app
    depends_on:
      - db
    restart: always

  db:
    image: mariadb:10.5
    container_name: typecho-db
    volumes:
      - /opt/docker-data/typecho/mysql:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: crKAa6xxr7dddsdfsR7ZpHQ7iuG
      MYSQL_DATABASE: typecho-data
    restart: always